eu.smoser.dungeongenerator.dungeon

## Enum Dungeon.Type

- java.lang.Object
- - java.lang.Enum<Dungeon.Type>
  - - eu.smoser.dungeongenerator.dungeon.Dungeon.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Dungeon.Type>

Enclosing class:
  Dungeon

    public static enum Dungeon.Type
    extends java.lang.Enum<Dungeon.Type>

The type of rooms to generate

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ARTIFICIAL` "Human"-made rooms
`EXP_ARTIFICIAL` "Human"-made rooms in experimental mode
`EXP_NATURAL` Nature-made rooms in experimental mode
`NATURAL` Nature-made rooms

### Method Summary

All Methods Static Methods Concrete Methods
`static Dungeon.Type` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Dungeon.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NATURAL

    public static final Dungeon.Type NATURAL

Nature-made rooms

#### ARTIFICIAL

    public static final Dungeon.Type ARTIFICIAL

"Human"-made rooms

#### EXP_NATURAL

    public static final Dungeon.Type EXP_NATURAL

Nature-made rooms in experimental mode

#### EXP_ARTIFICIAL

    public static final Dungeon.Type EXP_ARTIFICIAL

"Human"-made rooms in experimental mode

### Method Detail

#### values

    public static Dungeon.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Dungeon.Type c : Dungeon.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Dungeon.Type valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null